/**********************************************************************************/
/*    Demo program for:								  */
/*	  Board: MSP430-G2744BP 						  */
/*    Manufacture: OLIMEX                                                   	  */
/*	  COPYRIGHT (C) 2013							  */
/*    Designed by: Engineer Penko T. Bozhkov                                      */
/*    Module Name    :  main module                                               */
/*    File   Name    :  main.c                                                    */
/*    Revision       :  1.0.0 (initial)                                           */
/*    Date           :  29.03.2013                                                */
/*    Built with IAR Embedded Workbench Version: 5.51.6                           */
/**********************************************************************************/
#include <msp430.h>

// Definitions
#define LED_In      P1DIR &= ~0x01; // Set P1.0 to input direction
#define LED_Out     P1DIR |= 0x01;  // Set P1.0 to output direction
#define LED_On      P1OUT |= 0x01;  
#define LED_Off     P1OUT &= ~0x01; 
#define LED_Toggle  P1OUT ^= 0x01;  

// Simple delay
void delay(volatile long counter){
  while(counter){  counter--; }
}

// Main function
int main(void)
{
  WDTCTL = WDTPW + WDTHOLD;                 // Stop watchdog timer
  
  // Initialization
  LED_Out;
  LED_On;
  // After a PUC, MCLK and SMCLK are sourced from DCOCLK at ~1.1 MHz (see
  // the device-specific data sheet for parameters) and ACLK is sourced from
  // LFXT1CLK in LF mode with an internal load capacitance of 6pF.

  while(1)
  {
    LED_Toggle;
    delay(30000);
   
  }
}
